| FFmpegKit iOS / macOS / tvOS API 4.5

Data Fields
InputFilter Struct Reference

`#include <fftools_ffmpeg.h>`

## Data Fields
AVFilterContext * | filter
struct InputStream * | ist
struct FilterGraph * | graph
uint8_t * | name
enum AVMediaType | type
AVFifoBuffer * | frame_queue
int | format
int | width
int | height
AVRational | sample_aspect_ratio
int | sample_rate
int | channels
uint64_t | channel_layout
AVBufferRef * | hw_frames_ctx
int | eof

## Detailed Description

Definition at line 264 of file fftools_ffmpeg.h.

## Field Documentation

## ◆ channel_layout

uint64_t InputFilter::channel_layout

Definition at line 281 of file fftools_ffmpeg.h.

## ◆ channels

int InputFilter::channels

Definition at line 280 of file fftools_ffmpeg.h.

## ◆ eof

int InputFilter::eof

Definition at line 285 of file fftools_ffmpeg.h.

## ◆ filter

AVFilterContext* InputFilter::filter

Definition at line 265 of file fftools_ffmpeg.h.

## ◆ format

int InputFilter::format

Definition at line 274 of file fftools_ffmpeg.h.

## ◆ frame_queue

AVFifoBuffer* InputFilter::frame_queue

Definition at line 271 of file fftools_ffmpeg.h.

## ◆ graph

struct FilterGraph* InputFilter::graph

Definition at line 267 of file fftools_ffmpeg.h.

## ◆ height

int InputFilter::height

Definition at line 276 of file fftools_ffmpeg.h.

## ◆ hw_frames_ctx

AVBufferRef* InputFilter::hw_frames_ctx

Definition at line 283 of file fftools_ffmpeg.h.

## ◆ ist

struct InputStream* InputFilter::ist

Definition at line 266 of file fftools_ffmpeg.h.

## ◆ name

uint8_t* InputFilter::name

Definition at line 268 of file fftools_ffmpeg.h.

## ◆ sample_aspect_ratio

AVRational InputFilter::sample_aspect_ratio

Definition at line 277 of file fftools_ffmpeg.h.

## ◆ sample_rate

int InputFilter::sample_rate

Definition at line 279 of file fftools_ffmpeg.h.

## ◆ type

enum AVMediaType InputFilter::type

Definition at line 269 of file fftools_ffmpeg.h.

## ◆ width

int InputFilter::width

Definition at line 276 of file fftools_ffmpeg.h.

The documentation for this struct was generated from the following file:

- fftools_ffmpeg.h